## GwyGraphWindow

GwyGraphWindow — Graph display window

## Functions

GtkWidget * | gwy_graph_window_new ()
GtkWidget * | gwy_graph_window_get_graph ()
GtkWidget * | gwy_graph_window_get_graph_data ()
GtkWidget * | gwy_graph_window_get_graph_curves ()
void | gwy_graph_window_set_data_name ()

## Types and Values

struct | GwyGraphWindow
struct | GwyGraphWindowClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GwyGraphWindow

## Implemented Interfaces

GwyGraphWindow implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libgwyui/gwyui.h>

## Description

GwyGraphWindow encapsulates a GwyGraph together with other controls and graph data view. You can create a graph window for a graph with `gwy_graph_window_new()`.

## Functions

### gwy_graph_window_new()

    GtkWidget *
    gwy_graph_window_new (GwyGraphModel *gmodel);

Creates a new window showing a graph.

#### Parameters

gmodel | A graph model to show. |

#### Returns

A newly created graph window as GtkWidget.

### gwy_graph_window_get_graph()

    GtkWidget *
    gwy_graph_window_get_graph (GwyGraphWindow *window);

Gets the graph widget a graph window currently shows.

#### Parameters

window | A graph window. |

#### Returns

The currently shown GwyGraph.

### gwy_graph_window_get_graph_data()

    GtkWidget *
    gwy_graph_window_get_graph_data (GwyGraphWindow *window);

Gets the graph graphdata widget of a graph window.

#### Parameters

window | A graph window. |

#### Returns

The GwyGraphData widget of this graph window. Its model and column layout must be considered private.

### gwy_graph_window_get_graph_curves()

    GtkWidget *
    gwy_graph_window_get_graph_curves (GwyGraphWindow *window);

Gets the graph curves widget of a graph window.

#### Parameters

window | A graph window. |

#### Returns

The GwyGraphCurves widget of this graph window. Its model and column layout must be considered private.

### gwy_graph_window_set_data_name()

    void
    gwy_graph_window_set_data_name (GwyGraphWindow *window,
                                    const gchar *name);

Sets the data name of a graph window.

The data name is used in the window's title.

#### Parameters

window | A graph window. |
name | New data name. |

## Types and Values

### struct GwyGraphWindow

    struct GwyGraphWindow;

### struct GwyGraphWindowClass

    struct GwyGraphWindowClass {
        GtkWindowClass parent_class;
    };